Open CASCADE Technology: AppDef_ResConstraintOfTheGradient Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Member Functions
AppDef_ResConstraintOfTheGradient Class Reference

`#include <AppDef_ResConstraintOfTheGradient.hxx>`

## Public Member Functions
| AppDef_ResConstraintOfTheGradient (const AppDef_MultiLine &SSP, AppParCurves_MultiCurve &SCurv, const Standard_Integer FirstPoint, const Standard_Integer LastPoint, const Handle< AppParCurves_HArray1OfConstraintCouple > &Constraints, const math_Matrix &Bern, const math_Matrix &DerivativeBern, const Standard_Real Tolerance=1.0e-10)
Standard_Boolean | IsDone () const
Standard_Real | Error () const
const math_Matrix & | ConstraintMatrix () const
const math_Vector & | Duale () const
const math_Matrix & | ConstraintDerivative (const AppDef_MultiLine &SSP, const math_Vector &Parameters, const Standard_Integer Deg, const math_Matrix &DA)
const math_Matrix & | InverseMatrix () const

## Protected Member Functions
Standard_Integer | NbConstraints (const AppDef_MultiLine &SSP, const Standard_Integer FirstPoint, const Standard_Integer LastPoint, const Handle< AppParCurves_HArray1OfConstraintCouple > &TheConstraints) const
Standard_Integer | NbColumns (const AppDef_MultiLine &SSP, const Standard_Integer Deg) const

## Constructor & Destructor Documentation

AppDef_ResConstraintOfTheGradient::AppDef_ResConstraintOfTheGradient | ( | const AppDef_MultiLine & | SSP,
|  | AppParCurves_MultiCurve & | SCurv,
|  | const Standard_Integer | FirstPoint,
|  | const Standard_Integer | LastPoint,
|  | const Handle< AppParCurves_HArray1OfConstraintCouple > & | Constraints,
|  | const math_Matrix & | Bern,
|  | const math_Matrix & | DerivativeBern,
|  | const Standard_Real | Tolerance = `1.0e-10`
| ) |  |

## Member Function Documentation

const math_Matrix& AppDef_ResConstraintOfTheGradient::ConstraintDerivative | ( | const AppDef_MultiLine & | SSP,
|  | const math_Vector & | Parameters,
|  | const Standard_Integer | Deg,
|  | const math_Matrix & | DA
| ) |  |

const math_Matrix& AppDef_ResConstraintOfTheGradient::ConstraintMatrix | ( |  | ) | const

const math_Vector& AppDef_ResConstraintOfTheGradient::Duale | ( |  | ) | const

Standard_Real AppDef_ResConstraintOfTheGradient::Error | ( |  | ) | const

const math_Matrix& AppDef_ResConstraintOfTheGradient::InverseMatrix | ( |  | ) | const

Standard_Boolean AppDef_ResConstraintOfTheGradient::IsDone | ( |  | ) | const

Standard_Integer AppDef_ResConstraintOfTheGradient::NbColumns | ( | const AppDef_MultiLine & | SSP,
|  | const Standard_Integer | Deg
| ) |  | const
| protected

Standard_Integer AppDef_ResConstraintOfTheGradient::NbConstraints | ( | const AppDef_MultiLine & | SSP,
|  | const Standard_Integer | FirstPoint,
|  | const Standard_Integer | LastPoint,
|  | const Handle< AppParCurves_HArray1OfConstraintCouple > & | TheConstraints
| ) |  | const
| protected

The documentation for this class was generated from the following file:

- AppDef_ResConstraintOfTheGradient.hxx